﻿using C1.Win.Chart;
using FlexChartLineStyle;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace FlexChartLineStyle
{
    public partial class Form1 : Form
    {
        ObservableCollection<DataPoint> DataPoints1;
        ObservableCollection<DataPoint> DataPoints2;
        public Form1()
        {
            InitializeComponent();
            //DataPoints
            DataPoints1 = new ObservableCollection<DataPoint>();
            DataPoints2 = new ObservableCollection<DataPoint>();

            DataPoints1.Add(new DataPoint() { X=0, Y=0});
            DataPoints1.Add(new DataPoint() { X = 10, Y = 0.5 });
            DataPoints1.Add(new DataPoint() { X = 20, Y = 0.5 });
            DataPoints1.Add(new DataPoint() { X = 30, Y = 1 });
            DataPoints1.Add(new DataPoint() { X = 40, Y = 1 });
            DataPoints1.Add(new DataPoint() { X = 50, Y = 0.5 });
            DataPoints1.Add(new DataPoint() { X = 60, Y = 0.5 });
            DataPoints1.Add(new DataPoint() { X = 70, Y = 0 });

            DataPoints2.Add(new DataPoint() { X = 0, Y = 0 });
            DataPoints2.Add(new DataPoint() { X = 10, Y = 0.3 });
            DataPoints2.Add(new DataPoint() { X = 20, Y = 0.3 });
            DataPoints2.Add(new DataPoint() { X = 30, Y = 0.5 });
            DataPoints2.Add(new DataPoint() { X = 40, Y = 0.7 });
            DataPoints2.Add(new DataPoint() { X = 50, Y = 0.3 });
            DataPoints2.Add(new DataPoint() { X = 60, Y = 0.3 });
            DataPoints2.Add(new DataPoint() { X = 70, Y = 0 });

            //Flexchart
            flexChart1.ChartType = C1.Chart.ChartType.LineSymbols;
            flexChart1.BindingX = "X";
            flexChart1.Series.Clear();

            //Series 1
            var series1 = new Series();
            series1.Binding = "Y";
            series1.DataSource = DataPoints1;
            flexChart1.Series.Add(series1);

            //Series 2
            var series2 = new Series();
            series2.Binding = "Y";
            series2.DataSource = DataPoints2;
            flexChart1.Series.Add(series2);


            //Customizing FlexChart Axis
            flexChart1.AxisX.MajorUnit = 5;

        }
        private void Add_Point_Series1(object sender, EventArgs e)
        {
            var random = new Random();
            DataPoints1.Add(new DataPoint() { X = (DataPoints1.Count == 0) ? 0 : (DataPoints1.Last().X + 10), Y = random.NextDouble() });
        }

        private void Delete_Point_Series1(object sender, EventArgs e)
        {
            if(DataPoints1.Count>0)
                DataPoints1.Remove(DataPoints1.Last());
        }

        private void Add_Point_Series2(object sender, EventArgs e)
        {
            var random = new Random();
            DataPoints2.Add(new DataPoint() { X = (DataPoints2.Count == 0) ? 0 : (DataPoints2.Last().X + 10), Y = random.NextDouble() });
        }

        private void Delete_Point_Series2(object sender, EventArgs e)
        {
            if (DataPoints2.Count > 0)
                DataPoints2.Remove(DataPoints2.Last());
        }
    }

    public class DataPoint
    {
        public int X { get; set; }
        public double Y { get; set; }
        
    }
}
